#!/bin/bash

VAULT_DIR="/Users/martin/OneDrive - kyndryl/Blaupase AIX - Humpola/Power design (Martin)/Documentation"

cd "$VAULT_DIR" || exit

# Check for changes
if [[ $(git status --porcelain) ]]; then
    git add .
    git commit -m "Auto-commit: $(date +"%Y-%m-%d %H:%M:%S")"
    git push  # Adjust branch name if necessary
fi

